Page MenuHomePhabricator

Drop flagged revs tables on mediawikiwiki
Closed, ResolvedPublic

Description

MediaWiki-extensions-FlaggedRevs is not currently installed on mediawiki.org. However, some of its tables still exist. In the replicas, I can see:

| flaggedimages             |
| flaggedpage_config        |
| flaggedpage_pending       |
| flaggedpages              |
| flaggedtemplates          |

And there may be others that are not replicated.

Tables present on the production hosts and the last time they were written:

root@db1112:/srv/sqldata/mediawikiwiki# ls -lh flagged*.ibd
-rw-rw---- 1 mysql mysql 4.0M Nov 13  2015 flaggedimages.ibd
-rw-rw---- 1 mysql mysql 112K Nov 13  2015 flaggedpage_config.ibd
-rw-rw---- 1 mysql mysql 112K Nov 13  2015 flaggedpage_pending.ibd
-rw-rw---- 1 mysql mysql 640K Nov 13  2015 flaggedpages.ibd
-rw-rw---- 1 mysql mysql 7.0M Nov 13  2015 flaggedtemplates.ibd

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptMar 23 2020, 8:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 moved this task from Unsorted to Reports on the User-DannyS712 board.Mar 23 2020, 8:03 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Mar 24 2020, 6:23 AM
Marostegui triaged this task as Medium priority.Apr 21 2020, 6:23 AM
Marostegui added a subscriber: Marostegui.

This is what the master currently has:

root@db1112:/srv/sqldata/mediawikiwiki# ls -lh flagged*
-rw-rw---- 1 mysql mysql 1.3K Nov 13  2015 flaggedimages.frm
-rw-rw---- 1 mysql mysql 4.0M Nov 13  2015 flaggedimages.ibd
-rw-rw---- 1 mysql mysql 1.6K Nov 13  2015 flaggedpage_config.frm
-rw-rw---- 1 mysql mysql 112K Nov 13  2015 flaggedpage_config.ibd
-rw-rw---- 1 mysql mysql 1.5K Nov 13  2015 flaggedpage_pending.frm
-rw-rw---- 1 mysql mysql 112K Nov 13  2015 flaggedpage_pending.ibd
-rw-rw---- 1 mysql mysql 2.5K Nov 13  2015 flaggedpages.frm
-rw-rw---- 1 mysql mysql 640K Nov 13  2015 flaggedpages.ibd
-rw-rw---- 1 mysql mysql 1.3K Nov 13  2015 flaggedtemplates.frm
-rw-rw---- 1 mysql mysql 7.0M Nov 13  2015 flaggedtemplates.ibd

Last time they were written were Nov 2015

Mentioned in SAL (#wikimedia-operations) [2020-04-21T06:30:11Z] <marostegui> Rename flagged* tables on mediawikiwiki on db1075 - T248298

Marostegui moved this task from Backlog to In progress on the DBA board.

I have renamed the tables on db1075, and will drop them next week:

root@db1075:/srv/sqldata/mediawikiwiki# ls -lh | grep flagged
-rw-rw---- 1 mysql mysql 1.3K Nov 18  2015 T248298_flaggedimages.frm
-rw-rw---- 1 mysql mysql 4.0M Nov 18  2015 T248298_flaggedimages.ibd
-rw-rw---- 1 mysql mysql 1.6K Nov 18  2015 T248298_flaggedpage_config.frm
-rw-rw---- 1 mysql mysql 112K Nov 18  2015 T248298_flaggedpage_config.ibd
-rw-rw---- 1 mysql mysql 1.5K Nov 18  2015 T248298_flaggedpage_pending.frm
-rw-rw---- 1 mysql mysql 112K Nov 18  2015 T248298_flaggedpage_pending.ibd
-rw-rw---- 1 mysql mysql 2.5K Nov 18  2015 T248298_flaggedpages.frm
-rw-rw---- 1 mysql mysql 640K Nov 18  2015 T248298_flaggedpages.ibd
-rw-rw---- 1 mysql mysql 1.3K Nov 18  2015 T248298_flaggedtemplates.frm
-rw-rw---- 1 mysql mysql 7.0M Nov 18  2015 T248298_flaggedtemplates.ibd

Mentioned in SAL (#wikimedia-operations) [2020-05-04T07:31:00Z] <marostegui> Drop unused flagged* tables from mediawikiwiki - T248298

Marostegui closed this task as Resolved.Mon, May 4, 7:37 AM

Dropped everywhere.
I kept a temporary tiny backup at:

root@cumin1001:/home/marostegui/T248298# ls -lh flagged*
-rw-r--r-- 1 root root 2.7M May  4 07:30 flaggedimages.sql
-rw-r--r-- 1 root root 2.2K May  4 07:30 flaggedpage_config.sql
-rw-r--r-- 1 root root  15K May  4 07:30 flaggedpage_pending.sql
-rw-r--r-- 1 root root 177K May  4 07:30 flaggedpages.sql
-rw-r--r-- 1 root root 4.2M May  4 07:30 flaggedtemplates.sql